# Form Config

{% hint style="info" %}
Look also at **Field Config** - this is the interesting part where you build the form:
{% endhint %}

{% content-ref url="field-config" %}
[field-config](https://docs.tutim.io/api-reference/field-config)
{% endcontent-ref %}

## Overview

```jsx
import { FormConfig } from '@tutim/types';
```

This is an interface representing the configuration for a form. It includes the following property:

```typescript
interface FormConfig {
  formId: string;
  fields: FieldConfig[];
  layout?: FormLayout;
  logic?: FormLogic;
}
```

* `fields`: An array of [`FieldConfig`](https://docs.tutim.io/api-reference/field-config) objects representing the fields in the form.
* `formId`: (optional) Id string to represent the form
* `layout`: (optional) still under development, documentation isn't ready yet
* `logic`: (optional) still under development, documentation isn't ready yet


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutim.io/api-reference/form-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
